This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838368 - ooviewdoc / libreoffice --view doesn't work
ooviewdoc / libreoffice --view doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 17:09 EDT by Ville Skyttä
Modified: 2012-07-19 05:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.5.5.3-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 05:05:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-07-08 17:09:45 EDT
Even though --view is documented in libreoffice --help, it doesn't actually work (libreoffice 3.5.4.2-4.fc17):

$ libreoffice --help | grep -- --view
--view <documents...>

$ libreoffice --view foo.doc
Unknown option --view
Run 'soffice --help' to see a full list of available command line options.

This also makes /usr/bin/ooviewdoc useless as it just invokes libreoffice --view:

$ ooviewdoc foo.doc
Unknown option --view
Run 'soffice --help' to see a full list of available command line options.
Comment 1 Caolan McNamara 2012-07-09 07:57:43 EDT
-view accepted while --view discarded, and script uses --view, bah.

fix will be in >= libreoffice-3.5.5.3-2.fc17
Comment 2 Fedora Update System 2012-07-10 04:31:54 EDT
libreoffice-3.5.5.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.5.3-2.fc17
Comment 3 Ville Skyttä 2012-07-10 15:14:33 EDT
ooviewdoc is now fixed, but the issue remains in --help output in 3.5.5.3-2, it still says --view, not -view:

$ libreoffice --help | grep -A 1 -- -view
--view <documents...>
      open the specified documents in viewer-(readonly-)mode.
Comment 4 Fedora Update System 2012-07-10 16:52:27 EDT
Package libreoffice-3.5.5.3-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.5.3-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10468/libreoffice-3.5.5.3-2.fc17
then log in and leave karma (feedback).
Comment 5 Caolan McNamara 2012-07-11 07:07:38 EDT
The help saying --view is ok by me, both -view and --view should now be accepted and --view should be the preferred I guess seeing as whoever changed all the -longoptions to --longoptions presumably wanted that to be the case
Comment 6 Ville Skyttä 2012-07-11 11:02:23 EDT
Oh, I didn't notice --view works now as well, just thought the script had been modified. No problem then.
Comment 7 Fedora Update System 2012-07-19 05:05:08 EDT
libreoffice-3.5.5.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.